package kaya.siteinfo;

import java.net.URL;
import java.net.MalformedURLException;
import java.util.Calendar;

public class SiteInfo {

	/*    */
	private String name;
	private URL url;
	private String ip;
	private String key;
	private String manager;
	private String desc;
	private Calendar startTime = Calendar.getInstance();
	private Calendar endTime = Calendar.getInstance();

	private int startTimeYear;
	private int startTimeMonth;
	private int startTimeDate;
	private int startTimeHour;
	private int startTimeMin;
	private int startTimeSec;

	private int endTimeYear;
	private int endTimeMonth;
	private int endTimeDate;
	private int endTimeHour;
	private int endTimeMin;
	private int endTimeSec;

	private long delayTime;
	private int invokeStyle;
	private int repeat;

	public void setName(String name) {
		this.name = name;
	}

	public String getName() //  ̸ ´.
	{
		return name;
	}

	public void setUrl(String url) // ׽Ʈ  ּҸ Ѵ. õ url   ּҰ ʿ  Ѵ
	{
		try {
			this.url = new URL(url);
		} catch (MalformedURLException ex) {
			System.out.println("URL  ̻մϴ.");
		}
	}

	public URL getUrl() {
		return url;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public String getIp() {
		return ip;
	}

	public void setManager(String manager) {
		this.manager = manager;
	}

	public String getManager() //  Manager ̸ ´.
	{

		return manager;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getKey() //  Manager ̸ ´.
	{

		return key;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	public String getDesc() //   ´.
	{
		return desc;
	}

	/* 񽺸 ͸  ȯ */

	// Start Time Setting
	public void setStartTimeYear(int startTimeYear) {
		this.startTimeYear = startTimeYear;
	}

	public int getStartTimeYear() {
		return startTimeYear;
	}

	public void setStartTimeMonth(int startTimeMonth) {
		this.startTimeMonth = startTimeMonth;
	}

	public int getStartTimeMonth() {
		return startTimeMonth;
	}

	public void setStartTimeDate(int startTimeDate) {
		this.startTimeDate = startTimeDate;
	}

	public int getStartTimeDate() {
		return startTimeDate;
	}

	public void setStartTimeHour(int startTimeHour) {
		this.startTimeHour = startTimeHour;
	}

	public int getStartTimeHour() {
		return startTimeHour;
	}

	public void setStartTimeMin(int startTimeMin) {
		this.startTimeMin = startTimeMin;
	}

	public int getStartTimeMin() {
		return startTimeMin;
	}

	public void setStartTimeSec(int startTimeSec) {
		this.startTimeSec = startTimeSec;
	}

	public int getStartTimeSec() {
		return startTimeSec;
	}

	//	End Time Setting
	public void setEndTimeYear(int endTimeYear) {
		this.endTimeYear = endTimeYear;
	}

	public int getEndTimeYear() {
		return endTimeYear;
	}

	public void setEndTimeMonth(int endTimeMonth) {
		this.endTimeMonth = endTimeMonth;
	}

	public int getEndTimeMonth() {
		return endTimeMonth;
	}

	public void setEndTimeDate(int endTimeDate) {
		this.endTimeDate = endTimeDate;
	}

	public int getEndTimeDate() {
		return endTimeDate;
	}

	public void setEndTimeHour(int endTimeHour) {
		this.endTimeHour = endTimeHour;
	}

	public int getEndTimeHour() {
		return endTimeHour;
	}

	public void setEndTimeMin(int endTimeMin) {
		this.endTimeMin = endTimeMin;
	}

	public int getEndTimeMin() {
		return endTimeMin;
	}

	public void setEndTimeSec(int endTimeSec) {
		this.endTimeSec = endTimeSec;
	}

	public int getEndTimeSec() {
		return endTimeSec;
	}
	
	public void setRepeat(int repeat) {
		this.repeat = repeat;
	}

	public int getRepeat() {
		return repeat;
	}

	public void setDelayTime(long delayTime) {
		this.delayTime = delayTime;
	}

	public long getDelayTime() {
		return delayTime;
	}

	public void setInvokeType(int invokeStyle) {
		this.invokeStyle = invokeStyle;
	}

	public int getInvokeType() {
		return invokeStyle;
	}
}